﻿using System.Collections.Generic;
using System.Linq;

namespace InternshipSystem.Core
{
    public class Company
    {
        public long Id { get; set; }
        public Nip Nip { get; set; }
        public string Name { get; set; }
        public RangeOfActivity Range { get; set; }
        public List<BranchOffice> Branches { get; set; }

        public Company CreateCompany(Nip nip, RangeOfActivity range, string name)
        {
            return new Company
            {
                Nip = nip,
                Range = range,
                Name = name
            };
        }

        public void AddBranchAddress(BranchAddress branch)
        {
        }
    }
}